Ubuntu: failed to upgrad from 14.04 to 14.10



Question:

I am connected to the net all the time. I am able to download several packages and than the download stops and I am getting the next message:

Could not download the upgrades  The upgrade has aborted. Please check your Internet connection or installation media and try again. All files downloaded so far have been kept.  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/aptdaemon-data_1.1.1+bzr980-0ubuntu1_all.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/python3-aptdaemon.gtk3widgets_1.1.1+bzr980-0ubuntu1_all.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/p/packagekit/libpackagekit-glib2-16_0.8.17-4ubuntu3_amd64.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/p/packagekit/gir1.2-packagekitglib-1.0_0.8.17-4ubuntu3_amd64.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/python3-aptdaemon.pkcompat_1.1.1+bzr980-0ubuntu1_all.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/p/python-setuptools/python3-pkg-resources_5.5.1-1_all.deb Unable to connect to il.archive.ubuntu.com:http:  Failed to fetch http://il.archive.ubuntu.com/ubuntu/pool/main/a/aptdaemon/aptdaemon_1.1.1+bzr980-0ubuntu1_all.deb Unable to connect to il.archive.ubuntu.com:http:  .  .  .  


Solution:1

Try downloading from another mirror:

GUI

  • Open the Software Centre
  • Click: Edit > Software Sources
  • Find the dropdown menu "Download From"
  • select Other
  • select a mirror

Command Line

You can also use this tool to generate a custom sources.list: http://repogen.simplylinux.ch/


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »